<?php

// Replacement map using regular expressions
$replace_characters = array(
	"/\xc2[\x80-\xff]/"		=> " ",
	"/\|/"					=> " ",
	"/\s+/"					=> " "
);

// Replacement map using simple string replace
$rt_accents = array(
	"\xC3\xA0" => "", // "\xE0"     a-grave
	"\xC3\xA2" => "", // "\xE2"     a-circumflex
	"\xC3\xA7" => "", // "\xE7"     c-cedilla
	"\xC3\xA8" => "", // "\xE8"     e-grave
	"\xC3\xA9" => "", // "\xE9"     e-acute
	"\xC3\xAA" => "", // "\xEA"     e-circumflex
	"\xC3\xAB" => "", // "\xEB"     e-diaresis
	"\xC3\xAD" => "", // "\xED"     i-acute
	"\xC3\xB1" => "", // "\xF1"     n-tilda
	"\xC3\xB3" => "", // "\xF3"     o-acute
	"\xC3\xB6" => "", // "\xF6"     o-umlaut
	"\xC3\xBA" => "", // "\xFA"     u-acute
	"\xC3\xBB" => "", // "\xBD"     one-half
	"\xC3\xE6" => "", // "\x91"     left-quote
	"\xC3\xC6" => "", // "\x92"     right-quote
	"\xC3\xF4" => "", // "\x93"     left-dbl-quote
	"\xC3\xF6" => "", // "\x94"     right-dbl-quote
	"\xC3\xFA" => "", // "\xA3"     pound-sterling
	"\xC3\xFB" => "", // "\x97"     em-dash

	"\xC8\x98" => "", // "\xF1"     n-tilde
	"\xC8\xA1" => "", // "\xED"     i-acute
	"\xC8\xA8" => "", // "\xE9"     e-acute
	"\xC8\xAC" => "", // "\xEA"     e-circumflex
	"\xC8\xAD" => "", // "\xFC"     u-umlaut
	"\xC8\xAF" => "", // "\xEF"     i-umlaut
	"\xC8\xB5" => "", // "\xF6"     o-umlaut
	"\xC8\xB9" => "", // "\xF8"     o-slash
	"\xC8\xBA" => "", // "\xE7"     c-cedilla
	"\xC8\xBD" => "", // "\xEB"     e-diaresis
	"\xC8\xBF" => "", // "\xE8"     e-grave
	"\xC8\xD1" => "", // "\xE5"     a-ring
	"\xC8\xE1" => "", // "\xE0"     a-grave
	"\xc8\xEB" => "", // "\xc9"     E-acute
	"\xC8\xED" => "", // "\xE1"     a-acute
	"\xC8\xF1" => "", // "\xE4"     a-umlaut
	"\xC8\xF3" => "", // "\xE2"     a-circumflex
	"\xC8\xFE" => "", // "\xF3"     o-acute

	"&#163;"   => "", // "\xA3"     pound-sterling 
	"&#224;"   => "", // "\xE0"     a-grave
	"&#226;"   => "", // "\xE2"     a-circumflex
	"&#231;"   => "", // "\xE7"     c-cedilla
	"&#232;"   => "", // "\xE8"     e-grave
	"&#233;"   => "", // "\xE9"     e-acute
	"&#239;"   => "", // "\xEF"     i-umlaut
	"&#252;"   => "", // "\xFC"     u-umlaut
);

foreach ($fields as $key => $value)
{
	$value = str_replace(array_keys($rt_accents), array_values($rt_accents), $value);
    $value = preg_replace(array_keys($replace_characters), array_values($replace_characters), trim($value));
	$fields[$key] = $value;
}

?>
